Bric::App::AccessHandler - Handles Authentication and Session setup during the Apache Access phase. $LastChangedRevision$ $LastChangedDate: 2007-08-14 16:58:42 +0200 (Tue, 14 Aug 2007) $ <Perl> use lib '/usr/local/bricolage/lib'; </Perl> PerlModule Bric::App::AccessHandler <Location /media> SetHandler default-handler </Location> PerlModule Bric::App::Handler PerlFreshRestart On DocumentRoot "/usr/local/bricolage/comp" <Directory "/usr/local/bricolage/comp"> Options Indexes FollowSymLinks MultiViews AllowOverride None Order allow,deny Allow from all SetHandler perl-script PerlHandler Bric::App::Handler PerlAccessHandler Bric::App::AccessHandler </Directory> This module handles the Access phase of an Apache request. It authenticates users to Bricolage, and sets up Session handling.

Constructors
NONE.

Destructors
NONE.

Public Class Methods
NONE.

Public Functions
Sets up the user session and checks authentication. If the authentication is current, it returns OK and the request continues. Otherwise, it caches the requested URI in the session and returns FORBIDDEN. Throws: NONE. Side Effects: NONE. Notes: NONE. Logs the user out. Throws: NONE. Side Effects: NONE. Notes: NONE. This handler should only be used for the '/login' location of the SSL virtual host. It simply sets up the user session and returns OK. Throws: NONE. Side Effects: NONE. Notes: NONE. Handles errors for the other handlers in this class. Throws: NONE. Side Effects: NONE. Notes: NONE.

Private Class Methods
NONE.

Private Instance Methods
NONE.

Private Functions
NONE. NONE. David Wheeler <david@justatheory.com> Bric